<?xml version="1.0" encoding="utf-8"?>
<uk.co.androidalliance.edgeeffectoverride.ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:fillViewport="true"
    app:edgeeffect_color="@color/primary">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:paddingBottom="@dimen/common_big_spacing"
        android:paddingTop="@dimen/common_big_spacing">

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="@color/LightGrey" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/White"
            android:orientation="vertical"
            android:padding="@dimen/common_big_spacing">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <com.ibs.roann.view.ToyosuTextView
                    android:id="@+id/contact_us_tv_name_title"
                    style="@style/CommonSmallGreyText"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="@string/customer_lb_name" />

                <com.ibs.roann.view.ToyosuTextView
                    android:id="@+id/contact_us_tv_name_error"
                    style="@style/CommonSmallRedText"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="@string/customer_lb_name_required_full_name"
                    android:visibility="gone" />
            </RelativeLayout>

            <com.ibs.roann.view.ToyosuEditText
                android:id="@+id/contact_us_ed_name"
                style="@style/CommonBlackEditText"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:imeOptions="actionNext"
                android:inputType="text">

                <requestFocus />
            </com.ibs.roann.view.ToyosuEditText>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <com.ibs.roann.view.ToyosuTextView
                    android:id="@+id/contact_us_tv_email_title"
                    style="@style/CommonSmallGreyText"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="@string/customer_lb_email" />

                <com.ibs.roann.view.ToyosuTextView
                    android:id="@+id/contact_us_tv_email_error"
                    style="@style/CommonSmallRedText"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="@string/customer_lb_email_required"
                    android:visibility="gone" />
            </RelativeLayout>

            <com.ibs.roann.view.ToyosuEditText
                android:id="@+id/contact_us_ed_email"
                style="@style/CommonBlackEditText"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:inputType="textEmailAddress" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <com.ibs.roann.view.ToyosuTextView
                    android:id="@+id/contact_us_tv_phone_title"
                    style="@style/CommonSmallGreyText"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="@string/customer_lb_phone" />

                <com.ibs.roann.view.ToyosuTextView
                    android:id="@+id/contact_us_tv_phone_error"
                    style="@style/CommonSmallRedText"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="@string/customer_lb_phone_required"
                    android:visibility="gone" />
            </RelativeLayout>

            <com.ibs.roann.view.ToyosuEditText
                android:id="@+id/contact_us_ed_phone"
                style="@style/CommonBlackEditText"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:inputType="phone"
                android:maxLength="8" />
        </LinearLayout>


        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="@color/LightGrey" />


        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/common_big_spacing">

            <com.ibs.roann.view.ToyosuTextView
                android:id="@+id/contact_us_tv_message_title"
                style="@style/CommonBlackText"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:text="@string/other_contact_us_content"
                android:textStyle="bold" />

            <com.ibs.roann.view.ToyosuTextView
                android:id="@+id/contact_us_tv_message_error"
                style="@style/CommonSmallRedText"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/other_contact_us_msg_required"
                android:visibility="gone" />

        </RelativeLayout>


        <com.ibs.roann.view.ToyosuEditText
            android:id="@+id/contact_us_ed_message"
            style="@style/CommonBlackEditText"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginEnd="@dimen/common_big_spacing"
            android:layout_marginStart="@dimen/common_big_spacing"
            android:background="@drawable/common_item_bg"
            android:gravity="top"
            android:lines="5"
            android:maxLength="140"
            android:maxLines="5" />

        <com.ibs.roann.view.ToyosuTextView
            style="@style/CommonBlackText"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/common_big_spacing"
            android:text="@string/other_lb_privacy_policy"
            android:textStyle="bold" />

        <com.ibs.roann.view.ToyosuTextView
            android:id="@+id/contact_us_tv_privacy"
            style="@style/CommonBlackText"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginEnd="@dimen/common_big_spacing"
            android:layout_marginStart="@dimen/common_big_spacing"
            android:background="@drawable/common_item_bg"
            android:lines="5"
            android:maxLines="5"
            android:scrollbars="vertical" />

        <com.ibs.roann.view.ToyosuCheckBox
            android:id="@+id/contact_us_cb_terms"
            style="@style/CommonBlackText"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/common_spacing"
            android:buttonTint="@color/primary"
            android:text="@string/customer_contac_us_policy_agree" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginEnd="@dimen/common_big_spacing"
            android:layout_marginStart="@dimen/common_big_spacing">

            <ImageView
                android:id="@+id/contact_us_img_submit"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_alignBottom="@+id/contact_us_rp_submit"
                android:layout_alignTop="@+id/contact_us_rp_submit"
                android:background="@null"
                android:src="@drawable/common_button_bg" />

            <com.balysv.materialripple.MaterialRippleLayout
                android:id="@+id/contact_us_rp_submit"
                style="@style/WhiteRippleEffect"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <com.ibs.roann.view.ToyosuTextView
                    android:id="@+id/contact_us_tv_submit"
                    style="@style/CommonWhiteText"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_centerInParent="true"
                    android:layout_gravity="center"
                    android:gravity="center"
                    android:padding="@dimen/common_spacing"
                    android:text="@string/other_contact_us_btn_submit"
                    android:textStyle="bold" />

            </com.balysv.materialripple.MaterialRippleLayout>


        </RelativeLayout>


        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/item_footer_height" />

    </LinearLayout>

</uk.co.androidalliance.edgeeffectoverride.ScrollView>
